package org.seoanej.imindanger;

import java.util.Vector;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class AlmacenContactosSQLite extends SQLiteOpenHelper implements
		IAlmacenContactos {

	public AlmacenContactosSQLite(Context context) {
		super(context, "contactos", null, 1);
	}

	// Mtodos de SQLiteOpenHelper
	@Override
	public void onCreate(SQLiteDatabase db) {
		db.execSQL("CREATE TABLE contactos ("
				+ "_id INTEGER PRIMARY KEY AUTOINCREMENT, " + "nombre TEXT, "
				+ "telefono TEXT)");
	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		// En caso de una nueva versin habra que actualizar las tablas
	}

	// Mtodos de AlmacenPuntuaciones
	public void guardarContacto(String nombre, String telefono) {
		SQLiteDatabase db = getWritableDatabase();
		db.execSQL("INSERT INTO contactos VALUES (null, '" + nombre + "', '"
				+ telefono + "')");
		db.close();
	}

	public Vector<Contacto> listaContactos() {
		Vector<Contacto> result = new Vector<Contacto>();
		SQLiteDatabase db = getReadableDatabase();
		Cursor cursor = db.rawQuery("SELECT _id, nombre, telefono FROM "
				+ "contactos ORDER BY nombre", null);
		Contacto contacto;
		while (cursor.moveToNext()) {
			contacto = new Contacto(cursor.getInt(0), cursor.getString(1), cursor.getString(2));
			result.add(contacto);
		}
		cursor.close();
		db.close();
		return result;
	}

	@Override
	public void eliminarContacto(int id) {
		SQLiteDatabase db = getReadableDatabase();
		db.execSQL("DELETE FROM contactos where _id ="+id);
		db.close();
	}

	@Override
	public void actualizarContacto(Contacto c) { //<--- termminar
		SQLiteDatabase db = getReadableDatabase();
		db.execSQL("UPDATE contactos SET nombre='"+c.getNombre()+"', telefono='"+c.getTelefono()+"' where _id ="+c.getId());
		db.close();
	}

	@Override
	public Contacto findContacto(int id) {
		SQLiteDatabase db = getReadableDatabase();
		Cursor cursor = db.rawQuery("SELECT _id, nombre, telefono FROM "
				+ "contactos where _id="+id+" ORDER BY nombre ", null);
		Contacto contacto = null;
		while (cursor.moveToNext()) {
			contacto = new Contacto(cursor.getInt(0), cursor.getString(1), cursor.getString(2));
		}
		cursor.close();
		db.close();
		return contacto;		
	}

	

}