package org.seoanej.imindanger;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class EditarContacto extends Activity {

	Button btnGuardar;
	Button btnEliminar;
	EditText txtNombre;
	EditText txtTelefono;
	IAlmacenContactos almacen;
	Contacto c;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.editar_contacto);

		Bundle extras = getIntent().getExtras();
		int idContacto = extras.getInt("id");

		try {
			almacen = new AlmacenContactosSQLite(this);
			c = almacen.findContacto(idContacto);

			btnGuardar = (Button) findViewById(R.id.btnGuardar);
			btnEliminar = (Button) findViewById(R.id.btnEliminar);
			txtNombre = (EditText) findViewById(R.id.editTextNombre);
			txtTelefono = (EditText) findViewById(R.id.editTextTelefono);
			
			txtNombre.setText(c.getNombre());
			txtTelefono.setText(c.getTelefono());

		} catch (Exception e) {
			// error sqlite
		}

		btnGuardar.setOnClickListener(new View.OnClickListener() {
			public void onClick(View view) {
				actualizarContacto(c);
			}
		});
		
		btnEliminar.setOnClickListener(new View.OnClickListener() {
			public void onClick(View view) {
				eliminarContacto(c.getId());
			}
		});

	}

	protected void actualizarContacto(Contacto c) {
		Log.i("editar contacto", "entra");

		String nombre = txtNombre.getText().toString();
		String telefono = txtTelefono.getText().toString();

		try {
			c.setNombre(nombre);
			c.setTelefono(telefono);
			almacen.actualizarContacto(c);
			finish();

		} catch (Exception e) {
			Toast.makeText(getApplicationContext(),
					"Error: Guardar telefono en base de datos",
					Toast.LENGTH_LONG).show();
			e.printStackTrace();
		}
	}
	
	protected void eliminarContacto(int id) {
		Log.i("eliminar contacto", "entra");

		try {
			almacen.eliminarContacto(id);
			finish();

		} catch (Exception e) {
			Toast.makeText(getApplicationContext(),
					"Error: Eliminar telefono en base de datos",
					Toast.LENGTH_LONG).show();
			e.printStackTrace();
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		// getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
}
